Documentation Index

Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt

Use this file to discover all available pages before exploring further.

Open a Room

Prev Next
Post
/api/v1/rooms.open

Marks a room as "open" for the user, i.e. removes it from the user's list of hidden rooms and puts it back in the sidebar.

Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Body parameters
Example
{
  "roomId": "GENERAL"
}
object
roomId
string Required

The ID of the room to open.

Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
400

Bad Request

Missing roomId
{
  "success": false,
  "error": "must have required property 'roomId' [invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string